Google.loginAsync API

#1

Hi,

I’m using ExpoKit and I just updated SDK to the latest version (25 -> 32). After the update I noticed that I can’t login with Google any more because of the following error thrown by AppAuth.authAsync:

Error: Config error: clientId must be a string at isValidClientId

I’ve looked into Google.loginAsync’s code and there is no reference to androidStandaloneAppClientId and iosStandaloneAppClientId fields which were previously required for standalone apps.

Now it looks like this:

const clientId = config.clientId ||
        Platform.select({
            ios: config.iosClientId,
            android: config.androidClientId,
            web: config.clientId,
        });

Should I still use “standalone” fields or did the API change? Docs state that I should use them: https://docs.expo.io/versions/v32.0.0/sdk/google/

closed #2

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.